Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class IQOwnerHandler

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.IQOwnerHandler

    public class IQOwnerHandler

extends Object

A handler for the IQ packet with namespace http://jabber.org/protocol/muc#owner. This kind of packets are usually sent by room owners. So this handler provides the necessary functionality to support owner requirements such as: room configuration and room destruction.

Author:
  Gaston Dombiak

Constructor Summary
`IQOwnerHandler(LocalMUCRoom chatroom, PacketRouter packetRouter)`

Method Summary
`void` | `handleIQ(org.xmpp.packet.IQ packet, MUCRole role)` Handles the IQ packet sent by an owner of the room.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQOwnerHandler

    public IQOwnerHandler(LocalMUCRoom chatroom,
                          PacketRouter packetRouter)

Method Detail

### handleIQ

    public void handleIQ(org.xmpp.packet.IQ packet,
                         MUCRole role)
                  throws ForbiddenException,
                         ConflictException,
                         CannotBeInvitedException

  Handles the IQ packet sent by an owner of the room. Possible actions are:
  - Return the list of owners
  - Return the list of admins
  - Change user's affiliation to owner
  - Change user's affiliation to admin
  - Change user's affiliation to member
  - Change user's affiliation to none
  - Destroy the room
  - Return the room configuration within a dataform
  - Update the room configuration based on the sent dataform

  Parameters:
    `packet` - the IQ packet sent by an owner of the room.
    `role` - the role of the user that sent the packet.
  Throws:
    `ForbiddenException` - if the user does not have enough permissions (ie. is not an owner).
    `ConflictException` - If the room was going to lose all of its owners.
    `CannotBeInvitedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.